def jiaogu(n):
    if n==1:
        print("End")
        return 1
    if n%2==0:
        print(n,"/",2,"=",n//2,sep="")
        jiaogu(n//2)
    else:
        print(n, "*", 3, "+",1,"=" ,n * 3+1, sep="")
        jiaogu(n*3+1)

n=int(input())
jiaogu(n)